ViewVC Help
View File | Revision Log | Show Annotations | Download File
/cvs/rxvt-unicode/configure
(Generate patch)

Comparing rxvt-unicode/configure (file contents):
Revision 1.82 by root, Fri Jan 20 16:02:20 2006 UTC vs.
Revision 1.91 by root, Sun Jan 22 20:42:05 2006 UTC

307#endif 307#endif
308#if HAVE_UNISTD_H 308#if HAVE_UNISTD_H
309# include <unistd.h> 309# include <unistd.h>
310#endif" 310#endif"
311 311
312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA EGREP LINKER INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC CXXCPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS' 312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os host host_cpu host_vendor host_os VERSION DATE LSMDATE LIBVERSION CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX CPP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA EGREP LINKER INSTALL_LIBRXVT RXVTNAME MV RM CP LN SED ECHO CMP TIC CXXCPP X_CFLAGS X_PRE_LIBS X_LIBS X_EXTRA_LIBS XPM_CPPFLAGS XPM_CFLAGS XPM_LIBS rxvt_int16_typedef rxvt_uint16_typedef rxvt_int32_typedef rxvt_uint32_typedef rxvt_intp_define rxvt_u_intp_define PKG_CONFIG XFT_CONFIG PERL PERLLIB PERLFLAGS PERLPRIVLIBEXP IF_PERL PERL_O DEBUG DINCLUDE DLIB include_stdint_h include_stdarg_h include_stdlib_h include_unistd_h include_string_h include_fcntl_h include_util_h include_assert_h include_sys_ioctl_h include_sys_select_h include_sys_strredir_h include_sys_time_h include_time_h LIBOBJS LTLIBOBJS'
313ac_subst_files='' 313ac_subst_files=''
314 314
315# Initialize some variables set by options. 315# Initialize some variables set by options.
316ac_init_help= 316ac_init_help=
317ac_init_version=false 317ac_init_version=false
883 --enable-next-scroll enable NeXT style scrollbar 883 --enable-next-scroll enable NeXT style scrollbar
884 --enable-xterm-scroll enable Xterm style scrollbar 884 --enable-xterm-scroll enable Xterm style scrollbar
885 --enable-perl enable embedded perl interpreter 885 --enable-perl enable embedded perl interpreter
886 --enable-plain-scroll enable plain style scrollbar 886 --enable-plain-scroll enable plain style scrollbar
887 --enable-xim XIM (X Input Method) protocol support 887 --enable-xim XIM (X Input Method) protocol support
888 --enable-ttygid enable tty setting to group named "tty"
889 --disable-backspace-key disable handling of the backspace key 888 --disable-backspace-key disable handling of the backspace key
890 --disable-delete-key disable handling of the delete key 889 --disable-delete-key disable handling of the delete key
891 --disable-resources disable all resource checking 890 --disable-resources disable all resource checking
892 --enable-8bitctrls enable 8 bit control sequences (not recommended) 891 --enable-8bitctrls enable 8 bit control sequences (not recommended)
893 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt) 892 --enable-fallback(=CLASS) fall back on CLASS resources in addition to URxvt ones (default: Rxvt)
3221if test "$ac_cv_search_strerror" != no; then 3220if test "$ac_cv_search_strerror" != no; then
3222 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS" 3221 test "$ac_cv_search_strerror" = "none required" || LIBS="$ac_cv_search_strerror $LIBS"
3223 3222
3224fi 3223fi
3225 3224
3226
3227ac_ext=c
3228ac_cpp='$CPP $CPPFLAGS'
3229ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3230ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3231ac_compiler_gnu=$ac_cv_c_compiler_gnu
3232
3233
3234LINKER="$CXX"
3235if test x$GCC = xyes && test x$GXX = xyes; then
3236 echo "$as_me:$LINENO: checking for main in -lsupc++" >&5
3237echo $ECHO_N "checking for main in -lsupc++... $ECHO_C" >&6
3238if test "${ac_cv_lib_supcpp_main+set}" = set; then
3239 echo $ECHO_N "(cached) $ECHO_C" >&6
3240else
3241 ac_check_lib_save_LIBS=$LIBS
3242LIBS="-lsupc++ $LIBS"
3243cat >conftest.$ac_ext <<_ACEOF
3244/* confdefs.h. */
3245_ACEOF
3246cat confdefs.h >>conftest.$ac_ext
3247cat >>conftest.$ac_ext <<_ACEOF
3248/* end confdefs.h. */
3249
3250
3251int
3252main ()
3253{
3254main ();
3255 ;
3256 return 0;
3257}
3258_ACEOF
3259rm -f conftest.$ac_objext conftest$ac_exeext
3260if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3261 (eval $ac_link) 2>conftest.er1
3262 ac_status=$?
3263 grep -v '^ *+' conftest.er1 >conftest.err
3264 rm -f conftest.er1
3265 cat conftest.err >&5
3266 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3267 (exit $ac_status); } &&
3268 { ac_try='test -z "$ac_c_werror_flag" || test ! -s conftest.err'
3269 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3270 (eval $ac_try) 2>&5
3271 ac_status=$?
3272 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3273 (exit $ac_status); }; } &&
3274 { ac_try='test -s conftest$ac_exeext'
3275 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3276 (eval $ac_try) 2>&5
3277 ac_status=$?
3278 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3279 (exit $ac_status); }; }; then
3280 ac_cv_lib_supcpp_main=yes
3281else
3282 echo "$as_me: failed program was:" >&5
3283sed 's/^/| /' conftest.$ac_ext >&5
3284
3285ac_cv_lib_supcpp_main=no
3286fi
3287rm -f conftest.err conftest.$ac_objext \
3288 conftest$ac_exeext conftest.$ac_ext
3289LIBS=$ac_check_lib_save_LIBS
3290fi
3291echo "$as_me:$LINENO: result: $ac_cv_lib_supcpp_main" >&5
3292echo "${ECHO_T}$ac_cv_lib_supcpp_main" >&6
3293if test $ac_cv_lib_supcpp_main = yes; then
3294
3295 LINKER="$CC"
3296 LIBS="$LIBS -lsupc++"
3297
3298fi
3299
3300fi
3301LINKER=$LINKER
3302
3303
3304ac_ext=cc 3225ac_ext=cc
3305ac_cpp='$CXXCPP $CPPFLAGS' 3226ac_cpp='$CXXCPP $CPPFLAGS'
3306ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5' 3227ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3307ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5' 3228ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3308ac_compiler_gnu=$ac_cv_cxx_compiler_gnu 3229ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3309 3230
3231
3232if test x$GCC = xyes && test x$GXX = xyes; then
3233 echo "$as_me:$LINENO: checking for working libsupc++" >&5
3234echo $ECHO_N "checking for working libsupc++... $ECHO_C" >&6
3235 save_CXX="$CXX"
3236 save_LIBS="$LIBS"
3237 CXX="$CC"
3238 LIBS="$LIBS -lsupc++"
3239 LINKER="$CC"
3240
3241cat >conftest.$ac_ext <<_ACEOF
3242/* confdefs.h. */
3243_ACEOF
3244cat confdefs.h >>conftest.$ac_ext
3245cat >>conftest.$ac_ext <<_ACEOF
3246/* end confdefs.h. */
3247struct test { }; void f() try { throw new test; } catch (...) { throw; }
3248int
3249main ()
3250{
3251
3252 ;
3253 return 0;
3254}
3255_ACEOF
3256rm -f conftest.$ac_objext conftest$ac_exeext
3257if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
3258 (eval $ac_link) 2>conftest.er1
3259 ac_status=$?
3260 grep -v '^ *+' conftest.er1 >conftest.err
3261 rm -f conftest.er1
3262 cat conftest.err >&5
3263 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3264 (exit $ac_status); } &&
3265 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
3266 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3267 (eval $ac_try) 2>&5
3268 ac_status=$?
3269 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3270 (exit $ac_status); }; } &&
3271 { ac_try='test -s conftest$ac_exeext'
3272 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
3273 (eval $ac_try) 2>&5
3274 ac_status=$?
3275 echo "$as_me:$LINENO: \$? = $ac_status" >&5
3276 (exit $ac_status); }; }; then
3277 echo "$as_me:$LINENO: result: ok" >&5
3278echo "${ECHO_T}ok" >&6
3279else
3280 echo "$as_me: failed program was:" >&5
3281sed 's/^/| /' conftest.$ac_ext >&5
3282
3283
3284 echo "$as_me:$LINENO: result: no, making everything bigger and slower" >&5
3285echo "${ECHO_T}no, making everything bigger and slower" >&6
3286 LIBS="$save_LIBS"
3287 LINKER="$save_CXX"
3288
3289
3290fi
3291rm -f conftest.err conftest.$ac_objext \
3292 conftest$ac_exeext conftest.$ac_ext
3293 CXX="$save_CXX"
3294fi
3295LINKER=$LINKER
3296
3297
3298ac_ext=cc
3299ac_cpp='$CXXCPP $CPPFLAGS'
3300ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
3301ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
3302ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
3303
3310if test -z "$orig_CXXFLAGS"; then 3304if test -z "$orig_CXXFLAGS"; then
3311 if test x$GCC = xyes && test "x$GXX" = xyes; then 3305 if test x$GCC = xyes && test "x$GXX" = xyes; then
3312 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs" 3306 CXXFLAGS="-g -O3 -fno-threadsafe-statics -fno-enforce-eh-specs"
3313 3307 cat >conftest.$ac_ext <<_ACEOF
3308/* confdefs.h. */
3309_ACEOF
3310cat confdefs.h >>conftest.$ac_ext
3314cat >conftest.$ac_ext <<_ACEOF 3311cat >>conftest.$ac_ext <<_ACEOF
3315int i; 3312/* end confdefs.h. */
3313
3314int
3315main ()
3316{
3317
3318 ;
3319 return 0;
3320}
3316_ACEOF 3321_ACEOF
3317rm -f conftest.$ac_objext 3322rm -f conftest.$ac_objext
3318if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 3323if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
3319 (eval $ac_compile) 2>conftest.er1 3324 (eval $ac_compile) 2>conftest.er1
3320 ac_status=$? 3325 ac_status=$?
4329 if test x$enableval = xyes -o x$enableval = xno; then 4334 if test x$enableval = xyes -o x$enableval = xno; then
4330 support_xim=$enableval 4335 support_xim=$enableval
4331 fi 4336 fi
4332fi; 4337fi;
4333 4338
4334# Check whether --enable-ttygid or --disable-ttygid was given.
4335if test "${enable_ttygid+set}" = set; then
4336 enableval="$enable_ttygid"
4337 if test x$enableval = xyes; then
4338
4339cat >>confdefs.h <<\_ACEOF
4340#define TTY_GID_SUPPORT 1
4341_ACEOF
4342
4343 fi
4344fi;
4345
4346# Check whether --enable-backspace-key or --disable-backspace-key was given. 4339# Check whether --enable-backspace-key or --disable-backspace-key was given.
4347if test "${enable_backspace_key+set}" = set; then 4340if test "${enable_backspace_key+set}" = set; then
4348 enableval="$enable_backspace_key" 4341 enableval="$enable_backspace_key"
4349 if test x$enableval = xno; then 4342 if test x$enableval = xno; then
4350 4343
7205 7198
7206 7199
7207 7200
7208 7201
7209 7202
7210
7211
7212
7213
7214
7215
7216
7217
7218
7219for ac_header in \ 7203for ac_header in \
7220 assert.h \ 7204 assert.h \
7221 fcntl.h \ 7205 fcntl.h \
7222 grp.h \
7223 libc.h \
7224 lastlog.h \
7225 stdarg.h \ 7206 stdarg.h \
7226 stdlib.h \ 7207 stdlib.h \
7227 string.h \ 7208 string.h \
7228 termios.h \ 7209 termios.h \
7229 unistd.h \ 7210 unistd.h \
7230 sys/byteorder.h \ 7211 sys/byteorder.h \
7231 sys/ioctl.h \ 7212 sys/ioctl.h \
7232 sys/select.h \ 7213 sys/select.h \
7233 sys/sockio.h \ 7214 sys/sockio.h \
7234 sys/strredir.h \ 7215 sys/strredir.h \
7235 sys/stropts.h \
7236 sys/time.h \ 7216 sys/time.h \
7237 utmp.h \ 7217 stdint.h \
7238 utmpx.h \ 7218 wchar.h \
7239 stdint.h \ 7219 cwchar \
7240 pty.h \ 7220 clocale \
7241 util.h \
7242 libutil.h \
7243 wchar.h \
7244 cwchar \
7245 clocale \
7246 7221
7247do 7222do
7248as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 7223as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
7249if eval "test \"\${$as_ac_Header+set}\" = set"; then 7224if eval "test \"\${$as_ac_Header+set}\" = set"; then
7250 echo "$as_me:$LINENO: checking for $ac_header" >&5 7225 echo "$as_me:$LINENO: checking for $ac_header" >&5
10083 10058
10084 10059
10085 10060
10086 10061
10087 10062
10088
10089
10090
10091
10092
10093
10094
10095
10096
10097
10098
10099for ac_func in \ 10063for ac_func in \
10100 revoke \
10101 unsetenv \ 10064 unsetenv \
10102 setutent \ 10065 setutent \
10103 seteuid \ 10066 seteuid \
10104 setresuid \ 10067 setresuid \
10105 setreuid \ 10068 setreuid \
10106 _getpty \
10107 getpt \
10108 posix_openpt \
10109 grantpt \
10110 unlockpt \
10111 isastream \
10112 on_exit \ 10069 on_exit \
10113 nanosleep \
10114 updwtmp \
10115 updwtmpx \
10116 ttyslot \
10117 10070
10118do 10071do
10119as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh` 10072as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10120echo "$as_me:$LINENO: checking for $ac_func" >&5 10073echo "$as_me:$LINENO: checking for $ac_func" >&5
10121echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6 10074echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10210 cat >>confdefs.h <<_ACEOF 10163 cat >>confdefs.h <<_ACEOF
10211#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1 10164#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10212_ACEOF 10165_ACEOF
10213 10166
10214fi 10167fi
10168done
10169
10170
10171
10172
10173
10174
10175for ac_func in \
10176 ttyslot \
10177 updwtmp \
10178 updwtmpx \
10179
10180do
10181as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
10182echo "$as_me:$LINENO: checking for $ac_func" >&5
10183echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
10184if eval "test \"\${$as_ac_var+set}\" = set"; then
10185 echo $ECHO_N "(cached) $ECHO_C" >&6
10186else
10187 cat >conftest.$ac_ext <<_ACEOF
10188/* confdefs.h. */
10189_ACEOF
10190cat confdefs.h >>conftest.$ac_ext
10191cat >>conftest.$ac_ext <<_ACEOF
10192/* end confdefs.h. */
10193/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
10194 For example, HP-UX 11i <limits.h> declares gettimeofday. */
10195#define $ac_func innocuous_$ac_func
10196
10197/* System header to define __stub macros and hopefully few prototypes,
10198 which can conflict with char $ac_func (); below.
10199 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
10200 <limits.h> exists even on freestanding compilers. */
10201
10202#ifdef __STDC__
10203# include <limits.h>
10204#else
10205# include <assert.h>
10206#endif
10207
10208#undef $ac_func
10209
10210/* Override any gcc2 internal prototype to avoid an error. */
10211#ifdef __cplusplus
10212extern "C"
10213{
10214#endif
10215/* We use char because int might match the return type of a gcc2
10216 builtin and then its argument prototype would still apply. */
10217char $ac_func ();
10218/* The GNU C library defines this for functions which it implements
10219 to always fail with ENOSYS. Some functions are actually named
10220 something starting with __ and the normal name is an alias. */
10221#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
10222choke me
10223#else
10224char (*f) () = $ac_func;
10225#endif
10226#ifdef __cplusplus
10227}
10228#endif
10229
10230int
10231main ()
10232{
10233return f != $ac_func;
10234 ;
10235 return 0;
10236}
10237_ACEOF
10238rm -f conftest.$ac_objext conftest$ac_exeext
10239if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
10240 (eval $ac_link) 2>conftest.er1
10241 ac_status=$?
10242 grep -v '^ *+' conftest.er1 >conftest.err
10243 rm -f conftest.er1
10244 cat conftest.err >&5
10245 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10246 (exit $ac_status); } &&
10247 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10248 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10249 (eval $ac_try) 2>&5
10250 ac_status=$?
10251 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10252 (exit $ac_status); }; } &&
10253 { ac_try='test -s conftest$ac_exeext'
10254 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10255 (eval $ac_try) 2>&5
10256 ac_status=$?
10257 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10258 (exit $ac_status); }; }; then
10259 eval "$as_ac_var=yes"
10260else
10261 echo "$as_me: failed program was:" >&5
10262sed 's/^/| /' conftest.$ac_ext >&5
10263
10264eval "$as_ac_var=no"
10265fi
10266rm -f conftest.err conftest.$ac_objext \
10267 conftest$ac_exeext conftest.$ac_ext
10268fi
10269echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
10270echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
10271if test `eval echo '${'$as_ac_var'}'` = yes; then
10272 cat >>confdefs.h <<_ACEOF
10273#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
10274_ACEOF
10275
10276fi
10277done
10278
10279
10280
10281
10282
10283for ac_header in \
10284 utmp.h \
10285 utmpx.h \
10286 lastlog.h \
10287
10288do
10289as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
10290if eval "test \"\${$as_ac_Header+set}\" = set"; then
10291 echo "$as_me:$LINENO: checking for $ac_header" >&5
10292echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10293if eval "test \"\${$as_ac_Header+set}\" = set"; then
10294 echo $ECHO_N "(cached) $ECHO_C" >&6
10295fi
10296echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10297echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10298else
10299 # Is the header compilable?
10300echo "$as_me:$LINENO: checking $ac_header usability" >&5
10301echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
10302cat >conftest.$ac_ext <<_ACEOF
10303/* confdefs.h. */
10304_ACEOF
10305cat confdefs.h >>conftest.$ac_ext
10306cat >>conftest.$ac_ext <<_ACEOF
10307/* end confdefs.h. */
10308$ac_includes_default
10309#include <$ac_header>
10310_ACEOF
10311rm -f conftest.$ac_objext
10312if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
10313 (eval $ac_compile) 2>conftest.er1
10314 ac_status=$?
10315 grep -v '^ *+' conftest.er1 >conftest.err
10316 rm -f conftest.er1
10317 cat conftest.err >&5
10318 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10319 (exit $ac_status); } &&
10320 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10321 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10322 (eval $ac_try) 2>&5
10323 ac_status=$?
10324 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10325 (exit $ac_status); }; } &&
10326 { ac_try='test -s conftest.$ac_objext'
10327 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10328 (eval $ac_try) 2>&5
10329 ac_status=$?
10330 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10331 (exit $ac_status); }; }; then
10332 ac_header_compiler=yes
10333else
10334 echo "$as_me: failed program was:" >&5
10335sed 's/^/| /' conftest.$ac_ext >&5
10336
10337ac_header_compiler=no
10338fi
10339rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10340echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
10341echo "${ECHO_T}$ac_header_compiler" >&6
10342
10343# Is the header present?
10344echo "$as_me:$LINENO: checking $ac_header presence" >&5
10345echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
10346cat >conftest.$ac_ext <<_ACEOF
10347/* confdefs.h. */
10348_ACEOF
10349cat confdefs.h >>conftest.$ac_ext
10350cat >>conftest.$ac_ext <<_ACEOF
10351/* end confdefs.h. */
10352#include <$ac_header>
10353_ACEOF
10354if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
10355 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
10356 ac_status=$?
10357 grep -v '^ *+' conftest.er1 >conftest.err
10358 rm -f conftest.er1
10359 cat conftest.err >&5
10360 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10361 (exit $ac_status); } >/dev/null; then
10362 if test -s conftest.err; then
10363 ac_cpp_err=$ac_cxx_preproc_warn_flag
10364 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
10365 else
10366 ac_cpp_err=
10367 fi
10368else
10369 ac_cpp_err=yes
10370fi
10371if test -z "$ac_cpp_err"; then
10372 ac_header_preproc=yes
10373else
10374 echo "$as_me: failed program was:" >&5
10375sed 's/^/| /' conftest.$ac_ext >&5
10376
10377 ac_header_preproc=no
10378fi
10379rm -f conftest.err conftest.$ac_ext
10380echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
10381echo "${ECHO_T}$ac_header_preproc" >&6
10382
10383# So? What about this header?
10384case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
10385 yes:no: )
10386 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
10387echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
10388 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
10389echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
10390 ac_header_preproc=yes
10391 ;;
10392 no:yes:* )
10393 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
10394echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
10395 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
10396echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
10397 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
10398echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
10399 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
10400echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
10401 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
10402echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
10403 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
10404echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
10405 (
10406 cat <<\_ASBOX
10407## ------------------------------------------ ##
10408## Report this to the AC_PACKAGE_NAME lists. ##
10409## ------------------------------------------ ##
10410_ASBOX
10411 ) |
10412 sed "s/^/$as_me: WARNING: /" >&2
10413 ;;
10414esac
10415echo "$as_me:$LINENO: checking for $ac_header" >&5
10416echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
10417if eval "test \"\${$as_ac_Header+set}\" = set"; then
10418 echo $ECHO_N "(cached) $ECHO_C" >&6
10419else
10420 eval "$as_ac_Header=\$ac_header_preproc"
10421fi
10422echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
10423echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
10424
10425fi
10426if test `eval echo '${'$as_ac_Header'}'` = yes; then
10427 cat >>confdefs.h <<_ACEOF
10428#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
10429_ACEOF
10430
10431fi
10432
10215done 10433done
10216 10434
10217 10435
10218 10436
10219if test "${ac_cv_header_utmp_h+set}" = set; then 10437if test "${ac_cv_header_utmp_h+set}" = set; then
10353 10571
10354fi 10572fi
10355if test $ac_cv_header_utmp_h = yes; then 10573if test $ac_cv_header_utmp_h = yes; then
10356 echo "$as_me:$LINENO: checking for struct utmp" >&5 10574 echo "$as_me:$LINENO: checking for struct utmp" >&5
10357echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6 10575echo $ECHO_N "checking for struct utmp... $ECHO_C" >&6
10358if test "${rxvt_cv_struct_utmp+set}" = set; then 10576if test "${struct_utmp+set}" = set; then
10359 echo $ECHO_N "(cached) $ECHO_C" >&6 10577 echo $ECHO_N "(cached) $ECHO_C" >&6
10360else 10578else
10361 cat >conftest.$ac_ext <<_ACEOF 10579 cat >conftest.$ac_ext <<_ACEOF
10362/* confdefs.h. */ 10580/* confdefs.h. */
10363_ACEOF 10581_ACEOF
10393 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10611 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10394 (eval $ac_try) 2>&5 10612 (eval $ac_try) 2>&5
10395 ac_status=$? 10613 ac_status=$?
10396 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10614 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10397 (exit $ac_status); }; }; then 10615 (exit $ac_status); }; }; then
10398 rxvt_cv_struct_utmp=yes 10616 struct_utmp=yes
10399else 10617else
10400 echo "$as_me: failed program was:" >&5 10618 echo "$as_me: failed program was:" >&5
10401sed 's/^/| /' conftest.$ac_ext >&5 10619sed 's/^/| /' conftest.$ac_ext >&5
10402 10620
10403rxvt_cv_struct_utmp=no 10621struct_utmp=no
10404fi 10622fi
10405rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10623rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10406fi 10624fi
10407echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp" >&5 10625echo "$as_me:$LINENO: result: $struct_utmp" >&5
10408echo "${ECHO_T}$rxvt_cv_struct_utmp" >&6 10626echo "${ECHO_T}$struct_utmp" >&6
10409if test x$rxvt_cv_struct_utmp = xyes; then 10627if test x$struct_utmp = xyes; then
10410 10628
10411cat >>confdefs.h <<\_ACEOF 10629cat >>confdefs.h <<\_ACEOF
10412#define HAVE_STRUCT_UTMP 1 10630#define HAVE_STRUCT_UTMP 1
10413_ACEOF 10631_ACEOF
10414 10632
10415fi 10633fi
10416 10634
10417 10635
10418echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5 10636echo "$as_me:$LINENO: checking for ut_host in utmp struct" >&5
10419echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6 10637echo $ECHO_N "checking for ut_host in utmp struct... $ECHO_C" >&6
10420if test "${rxvt_cv_struct_utmp_host+set}" = set; then 10638if test "${struct_utmp_host+set}" = set; then
10421 echo $ECHO_N "(cached) $ECHO_C" >&6 10639 echo $ECHO_N "(cached) $ECHO_C" >&6
10422else 10640else
10423 cat >conftest.$ac_ext <<_ACEOF 10641 cat >conftest.$ac_ext <<_ACEOF
10424/* confdefs.h. */ 10642/* confdefs.h. */
10425_ACEOF 10643_ACEOF
10455 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10673 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10456 (eval $ac_try) 2>&5 10674 (eval $ac_try) 2>&5
10457 ac_status=$? 10675 ac_status=$?
10458 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10676 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10459 (exit $ac_status); }; }; then 10677 (exit $ac_status); }; }; then
10460 rxvt_cv_struct_utmp_host=yes 10678 struct_utmp_host=yes
10461else 10679else
10462 echo "$as_me: failed program was:" >&5 10680 echo "$as_me: failed program was:" >&5
10463sed 's/^/| /' conftest.$ac_ext >&5 10681sed 's/^/| /' conftest.$ac_ext >&5
10464 10682
10465rxvt_cv_struct_utmp_host=no 10683struct_utmp_host=no
10466fi 10684fi
10467rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10685rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10468fi 10686fi
10469echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_host" >&5 10687echo "$as_me:$LINENO: result: $struct_utmp_host" >&5
10470echo "${ECHO_T}$rxvt_cv_struct_utmp_host" >&6 10688echo "${ECHO_T}$struct_utmp_host" >&6
10471if test x$rxvt_cv_struct_utmp_host = xyes; then 10689if test x$struct_utmp_host = xyes; then
10472 10690
10473cat >>confdefs.h <<\_ACEOF 10691cat >>confdefs.h <<\_ACEOF
10474#define HAVE_UTMP_HOST 1 10692#define HAVE_UTMP_HOST 1
10475_ACEOF 10693_ACEOF
10476 10694
10477fi 10695fi
10478 10696
10479echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5 10697echo "$as_me:$LINENO: checking for ut_pid in utmp struct" >&5
10480echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6 10698echo $ECHO_N "checking for ut_pid in utmp struct... $ECHO_C" >&6
10481if test "${rxvt_cv_struct_utmp_pid+set}" = set; then 10699if test "${struct_utmp_pid+set}" = set; then
10482 echo $ECHO_N "(cached) $ECHO_C" >&6 10700 echo $ECHO_N "(cached) $ECHO_C" >&6
10483else 10701else
10484 cat >conftest.$ac_ext <<_ACEOF 10702 cat >conftest.$ac_ext <<_ACEOF
10485/* confdefs.h. */ 10703/* confdefs.h. */
10486_ACEOF 10704_ACEOF
10516 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10734 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10517 (eval $ac_try) 2>&5 10735 (eval $ac_try) 2>&5
10518 ac_status=$? 10736 ac_status=$?
10519 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10737 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10520 (exit $ac_status); }; }; then 10738 (exit $ac_status); }; }; then
10521 rxvt_cv_struct_utmp_pid=yes 10739 struct_utmp_pid=yes
10522else 10740else
10523 echo "$as_me: failed program was:" >&5 10741 echo "$as_me: failed program was:" >&5
10524sed 's/^/| /' conftest.$ac_ext >&5 10742sed 's/^/| /' conftest.$ac_ext >&5
10525 10743
10526rxvt_cv_struct_utmp_pid=no 10744struct_utmp_pid=no
10527fi 10745fi
10528rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10746rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10529fi 10747fi
10530echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmp_pid" >&5 10748echo "$as_me:$LINENO: result: $struct_utmp_pid" >&5
10531echo "${ECHO_T}$rxvt_cv_struct_utmp_pid" >&6 10749echo "${ECHO_T}$struct_utmp_pid" >&6
10532if test x$rxvt_cv_struct_utmp_pid = xyes; then 10750if test x$struct_utmp_pid = xyes; then
10533 10751
10534cat >>confdefs.h <<\_ACEOF 10752cat >>confdefs.h <<\_ACEOF
10535#define HAVE_UTMP_PID 1 10753#define HAVE_UTMP_PID 1
10536_ACEOF 10754_ACEOF
10537 10755
10678 10896
10679fi 10897fi
10680if test $ac_cv_header_utmpx_h = yes; then 10898if test $ac_cv_header_utmpx_h = yes; then
10681 echo "$as_me:$LINENO: checking for struct utmpx" >&5 10899 echo "$as_me:$LINENO: checking for struct utmpx" >&5
10682echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6 10900echo $ECHO_N "checking for struct utmpx... $ECHO_C" >&6
10683if test "${rxvt_cv_struct_utmpx+set}" = set; then 10901if test "${struct_utmpx+set}" = set; then
10684 echo $ECHO_N "(cached) $ECHO_C" >&6 10902 echo $ECHO_N "(cached) $ECHO_C" >&6
10685else 10903else
10686 cat >conftest.$ac_ext <<_ACEOF 10904 cat >conftest.$ac_ext <<_ACEOF
10687/* confdefs.h. */ 10905/* confdefs.h. */
10688_ACEOF 10906_ACEOF
10718 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10936 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10719 (eval $ac_try) 2>&5 10937 (eval $ac_try) 2>&5
10720 ac_status=$? 10938 ac_status=$?
10721 echo "$as_me:$LINENO: \$? = $ac_status" >&5 10939 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10722 (exit $ac_status); }; }; then 10940 (exit $ac_status); }; }; then
10723 rxvt_cv_struct_utmpx=yes 10941 struct_utmpx=yes
10724else 10942else
10725 echo "$as_me: failed program was:" >&5 10943 echo "$as_me: failed program was:" >&5
10726sed 's/^/| /' conftest.$ac_ext >&5 10944sed 's/^/| /' conftest.$ac_ext >&5
10727 10945
10728rxvt_cv_struct_utmpx=no 10946struct_utmpx=no
10729fi 10947fi
10730rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 10948rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10731fi 10949fi
10732echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx" >&5 10950echo "$as_me:$LINENO: result: $struct_utmpx" >&5
10733echo "${ECHO_T}$rxvt_cv_struct_utmpx" >&6 10951echo "${ECHO_T}$struct_utmpx" >&6
10734if test x$rxvt_cv_struct_utmpx = xyes; then 10952if test x$struct_utmpx = xyes; then
10735 10953
10736cat >>confdefs.h <<\_ACEOF 10954cat >>confdefs.h <<\_ACEOF
10737#define HAVE_STRUCT_UTMPX 1 10955#define HAVE_STRUCT_UTMPX 1
10738_ACEOF 10956_ACEOF
10739 10957
10740fi 10958fi
10741 10959
10742 10960
10743echo "$as_me:$LINENO: checking for host in utmpx struct" >&5 10961echo "$as_me:$LINENO: checking for host in utmpx struct" >&5
10744echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6 10962echo $ECHO_N "checking for host in utmpx struct... $ECHO_C" >&6
10745if test "${rxvt_cv_struct_utmpx_host+set}" = set; then 10963if test "${struct_utmpx_host+set}" = set; then
10746 echo $ECHO_N "(cached) $ECHO_C" >&6 10964 echo $ECHO_N "(cached) $ECHO_C" >&6
10747else 10965else
10748 cat >conftest.$ac_ext <<_ACEOF 10966 cat >conftest.$ac_ext <<_ACEOF
10749/* confdefs.h. */ 10967/* confdefs.h. */
10750_ACEOF 10968_ACEOF
10780 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 10998 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10781 (eval $ac_try) 2>&5 10999 (eval $ac_try) 2>&5
10782 ac_status=$? 11000 ac_status=$?
10783 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11001 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10784 (exit $ac_status); }; }; then 11002 (exit $ac_status); }; }; then
10785 rxvt_cv_struct_utmpx_host=yes 11003 struct_utmpx_host=yes
10786else 11004else
10787 echo "$as_me: failed program was:" >&5 11005 echo "$as_me: failed program was:" >&5
10788sed 's/^/| /' conftest.$ac_ext >&5 11006sed 's/^/| /' conftest.$ac_ext >&5
10789 11007
10790rxvt_cv_struct_utmpx_host=no 11008struct_utmpx_host=no
10791fi 11009fi
10792rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11010rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10793fi 11011fi
10794echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_host" >&5 11012echo "$as_me:$LINENO: result: $struct_utmpx_host" >&5
10795echo "${ECHO_T}$rxvt_cv_struct_utmpx_host" >&6 11013echo "${ECHO_T}$struct_utmpx_host" >&6
10796if test x$rxvt_cv_struct_utmpx_host = xyes; then 11014if test x$struct_utmpx_host = xyes; then
10797 11015
10798cat >>confdefs.h <<\_ACEOF 11016cat >>confdefs.h <<\_ACEOF
10799#define HAVE_UTMPX_HOST 1 11017#define HAVE_UTMPX_HOST 1
10800_ACEOF 11018_ACEOF
10801 11019
10802fi 11020fi
10803 11021
10804echo "$as_me:$LINENO: checking for session in utmpx struct" >&5 11022echo "$as_me:$LINENO: checking for session in utmpx struct" >&5
10805echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6 11023echo $ECHO_N "checking for session in utmpx struct... $ECHO_C" >&6
10806if test "${rxvt_cv_struct_utmpx_session+set}" = set; then 11024if test "${struct_utmpx_session+set}" = set; then
10807 echo $ECHO_N "(cached) $ECHO_C" >&6 11025 echo $ECHO_N "(cached) $ECHO_C" >&6
10808else 11026else
10809 cat >conftest.$ac_ext <<_ACEOF 11027 cat >conftest.$ac_ext <<_ACEOF
10810/* confdefs.h. */ 11028/* confdefs.h. */
10811_ACEOF 11029_ACEOF
10841 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11059 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10842 (eval $ac_try) 2>&5 11060 (eval $ac_try) 2>&5
10843 ac_status=$? 11061 ac_status=$?
10844 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11062 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10845 (exit $ac_status); }; }; then 11063 (exit $ac_status); }; }; then
10846 rxvt_cv_struct_utmpx_session=yes 11064 struct_utmpx_session=yes
10847else 11065else
10848 echo "$as_me: failed program was:" >&5 11066 echo "$as_me: failed program was:" >&5
10849sed 's/^/| /' conftest.$ac_ext >&5 11067sed 's/^/| /' conftest.$ac_ext >&5
10850 11068
10851rxvt_cv_struct_utmpx_session=no 11069struct_utmpx_session=no
10852fi 11070fi
10853rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11071rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10854fi 11072fi
10855echo "$as_me:$LINENO: result: $rxvt_cv_struct_utmpx_session" >&5 11073echo "$as_me:$LINENO: result: $struct_utmpx_session" >&5
10856echo "${ECHO_T}$rxvt_cv_struct_utmpx_session" >&6 11074echo "${ECHO_T}$struct_utmpx_session" >&6
10857if test x$rxvt_cv_struct_utmpx_session = xyes; then 11075if test x$struct_utmpx_session = xyes; then
10858 11076
10859cat >>confdefs.h <<\_ACEOF 11077cat >>confdefs.h <<\_ACEOF
10860#define HAVE_UTMPX_SESSION 1 11078#define HAVE_UTMPX_SESSION 1
10861_ACEOF 11079_ACEOF
10862 11080
10865fi 11083fi
10866 11084
10867 11085
10868echo "$as_me:$LINENO: checking for struct lastlog" >&5 11086echo "$as_me:$LINENO: checking for struct lastlog" >&5
10869echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6 11087echo $ECHO_N "checking for struct lastlog... $ECHO_C" >&6
10870if test "${rxvt_cv_struct_lastlog+set}" = set; then 11088if test "${struct_lastlog+set}" = set; then
10871 echo $ECHO_N "(cached) $ECHO_C" >&6 11089 echo $ECHO_N "(cached) $ECHO_C" >&6
10872else 11090else
10873 cat >conftest.$ac_ext <<_ACEOF 11091 cat >conftest.$ac_ext <<_ACEOF
10874/* confdefs.h. */ 11092/* confdefs.h. */
10875_ACEOF 11093_ACEOF
10909 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11127 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10910 (eval $ac_try) 2>&5 11128 (eval $ac_try) 2>&5
10911 ac_status=$? 11129 ac_status=$?
10912 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11130 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10913 (exit $ac_status); }; }; then 11131 (exit $ac_status); }; }; then
10914 rxvt_cv_struct_lastlog=yes 11132 struct_lastlog=yes
10915else 11133else
10916 echo "$as_me: failed program was:" >&5 11134 echo "$as_me: failed program was:" >&5
10917sed 's/^/| /' conftest.$ac_ext >&5 11135sed 's/^/| /' conftest.$ac_ext >&5
10918 11136
10919rxvt_cv_struct_lastlog=no 11137struct_lastlog=no
10920fi 11138fi
10921rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11139rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10922fi 11140fi
10923echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlog" >&5 11141echo "$as_me:$LINENO: result: $struct_lastlog" >&5
10924echo "${ECHO_T}$rxvt_cv_struct_lastlog" >&6 11142echo "${ECHO_T}$struct_lastlog" >&6
10925if test x$rxvt_cv_struct_lastlog = xyes; then 11143if test x$struct_lastlog = xyes; then
10926 11144
10927cat >>confdefs.h <<\_ACEOF 11145cat >>confdefs.h <<\_ACEOF
10928#define HAVE_STRUCT_LASTLOG 1 11146#define HAVE_STRUCT_LASTLOG 1
10929_ACEOF 11147_ACEOF
10930 11148
10931fi 11149fi
10932 11150
10933echo "$as_me:$LINENO: checking for struct lastlogx" >&5 11151echo "$as_me:$LINENO: checking for struct lastlogx" >&5
10934echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6 11152echo $ECHO_N "checking for struct lastlogx... $ECHO_C" >&6
10935if test "${rxvt_cv_struct_lastlogx+set}" = set; then 11153if test "${struct_lastlogx+set}" = set; then
10936 echo $ECHO_N "(cached) $ECHO_C" >&6 11154 echo $ECHO_N "(cached) $ECHO_C" >&6
10937else 11155else
10938 cat >conftest.$ac_ext <<_ACEOF 11156 cat >conftest.$ac_ext <<_ACEOF
10939/* confdefs.h. */ 11157/* confdefs.h. */
10940_ACEOF 11158_ACEOF
10974 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11192 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
10975 (eval $ac_try) 2>&5 11193 (eval $ac_try) 2>&5
10976 ac_status=$? 11194 ac_status=$?
10977 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11195 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10978 (exit $ac_status); }; }; then 11196 (exit $ac_status); }; }; then
10979 rxvt_cv_struct_lastlogx=yes 11197 struct_lastlogx=yes
10980else 11198else
10981 echo "$as_me: failed program was:" >&5 11199 echo "$as_me: failed program was:" >&5
10982sed 's/^/| /' conftest.$ac_ext >&5 11200sed 's/^/| /' conftest.$ac_ext >&5
10983 11201
10984rxvt_cv_struct_lastlogx=no 11202struct_lastlogx=no
10985fi 11203fi
10986rm -f conftest.err conftest.$ac_objext conftest.$ac_ext 11204rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
10987fi 11205fi
10988echo "$as_me:$LINENO: result: $rxvt_cv_struct_lastlogx" >&5 11206echo "$as_me:$LINENO: result: $struct_lastlogx" >&5
10989echo "${ECHO_T}$rxvt_cv_struct_lastlogx" >&6 11207echo "${ECHO_T}$struct_lastlogx" >&6
10990if test x$rxvt_cv_struct_lastlogx = xyes; then 11208if test x$struct_lastlogx = xyes; then
10991 11209
10992cat >>confdefs.h <<\_ACEOF 11210cat >>confdefs.h <<\_ACEOF
10993#define HAVE_STRUCT_LASTLOGX 1 11211#define HAVE_STRUCT_LASTLOGX 1
10994_ACEOF 11212_ACEOF
10995 11213
10996fi 11214fi
10997 11215
10998 11216
10999echo "$as_me:$LINENO: checking where utmp is located" >&5 11217echo "$as_me:$LINENO: checking where utmp is located" >&5
11000echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6 11218echo $ECHO_N "checking where utmp is located... $ECHO_C" >&6
11001if test "${rxvt_cv_path_utmp+set}" = set; then 11219if test "${path_utmp+set}" = set; then
11002 echo $ECHO_N "(cached) $ECHO_C" >&6 11220 echo $ECHO_N "(cached) $ECHO_C" >&6
11003else 11221else
11004 if test "$cross_compiling" = yes; then 11222 if test "$cross_compiling" = yes; then
11005 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&5 11223 { echo "$as_me:$LINENO: WARNING: Define UTMP_FILE in config.h manually" >&5
11006echo "$as_me: WARNING: Define RXVT_UTMP_FILE in config.h manually" >&2;} 11224echo "$as_me: WARNING: Define UTMP_FILE in config.h manually" >&2;}
11007else 11225else
11008 cat >conftest.$ac_ext <<_ACEOF 11226 cat >conftest.$ac_ext <<_ACEOF
11009/* confdefs.h. */ 11227/* confdefs.h. */
11010_ACEOF 11228_ACEOF
11011cat confdefs.h >>conftest.$ac_ext 11229cat confdefs.h >>conftest.$ac_ext
11047 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11265 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11048 (eval $ac_try) 2>&5 11266 (eval $ac_try) 2>&5
11049 ac_status=$? 11267 ac_status=$?
11050 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11268 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11051 (exit $ac_status); }; }; then 11269 (exit $ac_status); }; }; then
11052 rxvt_cv_path_utmp=`cat conftestval` 11270 path_utmp=`cat conftestval`
11053else 11271else
11054 echo "$as_me: program exited with status $ac_status" >&5 11272 echo "$as_me: program exited with status $ac_status" >&5
11055echo "$as_me: failed program was:" >&5 11273echo "$as_me: failed program was:" >&5
11056sed 's/^/| /' conftest.$ac_ext >&5 11274sed 's/^/| /' conftest.$ac_ext >&5
11057 11275
11058( exit $ac_status ) 11276( exit $ac_status )
11059rxvt_cv_path_utmp= 11277path_utmp=
11060fi 11278fi
11061rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11279rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11062fi 11280fi
11063fi 11281fi
11064echo "$as_me:$LINENO: result: $rxvt_cv_path_utmp" >&5 11282echo "$as_me:$LINENO: result: $path_utmp" >&5
11065echo "${ECHO_T}$rxvt_cv_path_utmp" >&6 11283echo "${ECHO_T}$path_utmp" >&6
11066if test x$rxvt_cv_path_utmp != x; then 11284if test x$path_utmp != x; then
11067 11285
11068cat >>confdefs.h <<_ACEOF 11286cat >>confdefs.h <<_ACEOF
11069#define RXVT_UTMP_FILE "$rxvt_cv_path_utmp" 11287#define UTMP_FILE "$path_utmp"
11070_ACEOF 11288_ACEOF
11071 11289
11072fi 11290fi
11073 11291
11074 11292
11075echo "$as_me:$LINENO: checking where utmpx is located" >&5 11293echo "$as_me:$LINENO: checking where utmpx is located" >&5
11076echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6 11294echo $ECHO_N "checking where utmpx is located... $ECHO_C" >&6
11077if test "${rxvt_cv_path_utmpx+set}" = set; then 11295if test "${path_utmpx+set}" = set; then
11078 echo $ECHO_N "(cached) $ECHO_C" >&6 11296 echo $ECHO_N "(cached) $ECHO_C" >&6
11079else 11297else
11080 if test "$cross_compiling" = yes; then 11298 if test "$cross_compiling" = yes; then
11081 { echo "$as_me:$LINENO: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&5 11299 { echo "$as_me:$LINENO: WARNING: Define UTMPX_FILE in config.h manually" >&5
11082echo "$as_me: WARNING: Define RXVT_UTMPX_FILE in config.h manually" >&2;} 11300echo "$as_me: WARNING: Define UTMPX_FILE in config.h manually" >&2;}
11083else 11301else
11084 cat >conftest.$ac_ext <<_ACEOF 11302 cat >conftest.$ac_ext <<_ACEOF
11085/* confdefs.h. */ 11303/* confdefs.h. */
11086_ACEOF 11304_ACEOF
11087cat confdefs.h >>conftest.$ac_ext 11305cat confdefs.h >>conftest.$ac_ext
11133 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11351 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11134 (eval $ac_try) 2>&5 11352 (eval $ac_try) 2>&5
11135 ac_status=$? 11353 ac_status=$?
11136 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11354 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11137 (exit $ac_status); }; }; then 11355 (exit $ac_status); }; }; then
11138 rxvt_cv_path_utmpx=`cat conftestval` 11356 path_utmpx=`cat conftestval`
11139else 11357else
11140 echo "$as_me: program exited with status $ac_status" >&5 11358 echo "$as_me: program exited with status $ac_status" >&5
11141echo "$as_me: failed program was:" >&5 11359echo "$as_me: failed program was:" >&5
11142sed 's/^/| /' conftest.$ac_ext >&5 11360sed 's/^/| /' conftest.$ac_ext >&5
11143 11361
11144( exit $ac_status ) 11362( exit $ac_status )
11145rxvt_cv_path_utmpx= 11363path_utmpx=
11146fi 11364fi
11147rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11365rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11148fi 11366fi
11149fi 11367fi
11150echo "$as_me:$LINENO: result: $rxvt_cv_path_utmpx" >&5 11368echo "$as_me:$LINENO: result: $path_utmpx" >&5
11151echo "${ECHO_T}$rxvt_cv_path_utmpx" >&6 11369echo "${ECHO_T}$path_utmpx" >&6
11152if test x$rxvt_cv_path_utmpx != x; then 11370if test x$path_utmpx != x; then
11153 11371
11154cat >>confdefs.h <<_ACEOF 11372cat >>confdefs.h <<_ACEOF
11155#define RXVT_UTMPX_FILE "$rxvt_cv_path_utmpx" 11373#define UTMPX_FILE "$path_utmpx"
11156_ACEOF 11374_ACEOF
11157 11375
11158fi 11376fi
11159 11377
11160 11378
11161echo "$as_me:$LINENO: checking where wtmp is located" >&5 11379echo "$as_me:$LINENO: checking where wtmp is located" >&5
11162echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6 11380echo $ECHO_N "checking where wtmp is located... $ECHO_C" >&6
11163if test "${rxvt_cv_path_wtmp+set}" = set; then 11381if test "${path_wtmp+set}" = set; then
11164 echo $ECHO_N "(cached) $ECHO_C" >&6 11382 echo $ECHO_N "(cached) $ECHO_C" >&6
11165else 11383else
11166 if test "$cross_compiling" = yes; then 11384 if test "$cross_compiling" = yes; then
11167 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&5 11385 { echo "$as_me:$LINENO: WARNING: Define WTMP_FILE in config.h manually" >&5
11168echo "$as_me: WARNING: Define RXVT_WTMP_FILE in config.h manually" >&2;} 11386echo "$as_me: WARNING: Define WTMP_FILE in config.h manually" >&2;}
11169else 11387else
11170 cat >conftest.$ac_ext <<_ACEOF 11388 cat >conftest.$ac_ext <<_ACEOF
11171/* confdefs.h. */ 11389/* confdefs.h. */
11172_ACEOF 11390_ACEOF
11173cat confdefs.h >>conftest.$ac_ext 11391cat confdefs.h >>conftest.$ac_ext
11211 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11429 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11212 (eval $ac_try) 2>&5 11430 (eval $ac_try) 2>&5
11213 ac_status=$? 11431 ac_status=$?
11214 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11432 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11215 (exit $ac_status); }; }; then 11433 (exit $ac_status); }; }; then
11216 rxvt_cv_path_wtmp=`cat conftestval` 11434 path_wtmp=`cat conftestval`
11217else 11435else
11218 echo "$as_me: program exited with status $ac_status" >&5 11436 echo "$as_me: program exited with status $ac_status" >&5
11219echo "$as_me: failed program was:" >&5 11437echo "$as_me: failed program was:" >&5
11220sed 's/^/| /' conftest.$ac_ext >&5 11438sed 's/^/| /' conftest.$ac_ext >&5
11221 11439
11222( exit $ac_status ) 11440( exit $ac_status )
11223rxvt_cv_path_wtmp= 11441path_wtmp=
11224fi 11442fi
11225rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11443rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11226fi 11444fi
11227fi 11445fi
11228echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmp" >&5 11446echo "$as_me:$LINENO: result: $path_wtmp" >&5
11229echo "${ECHO_T}$rxvt_cv_path_wtmp" >&6 11447echo "${ECHO_T}$path_wtmp" >&6
11230if test x$rxvt_cv_path_wtmp != x; then 11448if test x$path_wtmp != x; then
11231 11449
11232cat >>confdefs.h <<_ACEOF 11450cat >>confdefs.h <<_ACEOF
11233#define RXVT_WTMP_FILE "$rxvt_cv_path_wtmp" 11451#define WTMP_FILE "$path_wtmp"
11234_ACEOF 11452_ACEOF
11235 11453
11236fi 11454fi
11237 11455
11238echo "$as_me:$LINENO: checking where wtmpx is located" >&5 11456echo "$as_me:$LINENO: checking where wtmpx is located" >&5
11239echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6 11457echo $ECHO_N "checking where wtmpx is located... $ECHO_C" >&6
11240if test "${rxvt_cv_path_wtmpx+set}" = set; then 11458if test "${path_wtmpx+set}" = set; then
11241 echo $ECHO_N "(cached) $ECHO_C" >&6 11459 echo $ECHO_N "(cached) $ECHO_C" >&6
11242else 11460else
11243 if test "$cross_compiling" = yes; then 11461 if test "$cross_compiling" = yes; then
11244 { echo "$as_me:$LINENO: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&5 11462 { echo "$as_me:$LINENO: WARNING: Define WTMPX_FILE in config.h manually" >&5
11245echo "$as_me: WARNING: Define RXVT_WTMPX_FILE in config.h manually" >&2;} 11463echo "$as_me: WARNING: Define WTMPX_FILE in config.h manually" >&2;}
11246else 11464else
11247 cat >conftest.$ac_ext <<_ACEOF 11465 cat >conftest.$ac_ext <<_ACEOF
11248/* confdefs.h. */ 11466/* confdefs.h. */
11249_ACEOF 11467_ACEOF
11250cat confdefs.h >>conftest.$ac_ext 11468cat confdefs.h >>conftest.$ac_ext
11287 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11505 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11288 (eval $ac_try) 2>&5 11506 (eval $ac_try) 2>&5
11289 ac_status=$? 11507 ac_status=$?
11290 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11508 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11291 (exit $ac_status); }; }; then 11509 (exit $ac_status); }; }; then
11292 rxvt_cv_path_wtmpx=`cat conftestval` 11510 path_wtmpx=`cat conftestval`
11293else 11511else
11294 echo "$as_me: program exited with status $ac_status" >&5 11512 echo "$as_me: program exited with status $ac_status" >&5
11295echo "$as_me: failed program was:" >&5 11513echo "$as_me: failed program was:" >&5
11296sed 's/^/| /' conftest.$ac_ext >&5 11514sed 's/^/| /' conftest.$ac_ext >&5
11297 11515
11298( exit $ac_status ) 11516( exit $ac_status )
11299rxvt_cv_path_wtmpx= 11517path_wtmpx=
11300fi 11518fi
11301rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11519rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11302fi 11520fi
11303fi 11521fi
11304echo "$as_me:$LINENO: result: $rxvt_cv_path_wtmpx" >&5 11522echo "$as_me:$LINENO: result: $path_wtmpx" >&5
11305echo "${ECHO_T}$rxvt_cv_path_wtmpx" >&6 11523echo "${ECHO_T}$path_wtmpx" >&6
11306if test x$rxvt_cv_path_wtmpx != x; then 11524if test x$path_wtmpx != x; then
11307 11525
11308cat >>confdefs.h <<_ACEOF 11526cat >>confdefs.h <<_ACEOF
11309#define RXVT_WTMPX_FILE "$rxvt_cv_path_wtmpx" 11527#define WTMPX_FILE "$path_wtmpx"
11310_ACEOF 11528_ACEOF
11311 11529
11312fi 11530fi
11313 11531
11314echo "$as_me:$LINENO: checking where lastlog is located" >&5 11532echo "$as_me:$LINENO: checking where lastlog is located" >&5
11315echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6 11533echo $ECHO_N "checking where lastlog is located... $ECHO_C" >&6
11316if test "${rxvt_cv_path_lastlog+set}" = set; then 11534if test "${path_lastlog+set}" = set; then
11317 echo $ECHO_N "(cached) $ECHO_C" >&6 11535 echo $ECHO_N "(cached) $ECHO_C" >&6
11318else 11536else
11319 if test "$cross_compiling" = yes; then 11537 if test "$cross_compiling" = yes; then
11320 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&5 11538 { echo "$as_me:$LINENO: WARNING: Define LASTLOG_FILE in config.h manually" >&5
11321echo "$as_me: WARNING: Define RXVT_LASTLOG_FILE in config.h manually" >&2;} 11539echo "$as_me: WARNING: Define LASTLOG_FILE in config.h manually" >&2;}
11322else 11540else
11323 cat >conftest.$ac_ext <<_ACEOF 11541 cat >conftest.$ac_ext <<_ACEOF
11324/* confdefs.h. */ 11542/* confdefs.h. */
11325_ACEOF 11543_ACEOF
11326cat confdefs.h >>conftest.$ac_ext 11544cat confdefs.h >>conftest.$ac_ext
11368 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11586 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11369 (eval $ac_try) 2>&5 11587 (eval $ac_try) 2>&5
11370 ac_status=$? 11588 ac_status=$?
11371 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11589 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11372 (exit $ac_status); }; }; then 11590 (exit $ac_status); }; }; then
11373 rxvt_cv_path_lastlog=`cat conftestval` 11591 path_lastlog=`cat conftestval`
11374else 11592else
11375 echo "$as_me: program exited with status $ac_status" >&5 11593 echo "$as_me: program exited with status $ac_status" >&5
11376echo "$as_me: failed program was:" >&5 11594echo "$as_me: failed program was:" >&5
11377sed 's/^/| /' conftest.$ac_ext >&5 11595sed 's/^/| /' conftest.$ac_ext >&5
11378 11596
11379( exit $ac_status ) 11597( exit $ac_status )
11380rxvt_cv_path_lastlog= 11598path_lastlog=
11381fi 11599fi
11382rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11600rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11383fi 11601fi
11384fi 11602fi
11385echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlog" >&5 11603echo "$as_me:$LINENO: result: $path_lastlog" >&5
11386echo "${ECHO_T}$rxvt_cv_path_lastlog" >&6 11604echo "${ECHO_T}$path_lastlog" >&6
11387if test x$rxvt_cv_path_lastlog != x; then 11605if test x$path_lastlog != x; then
11388 11606
11389cat >>confdefs.h <<_ACEOF 11607cat >>confdefs.h <<_ACEOF
11390#define RXVT_LASTLOG_FILE "$rxvt_cv_path_lastlog" 11608#define LASTLOG_FILE "$path_lastlog"
11391_ACEOF 11609_ACEOF
11392 11610
11393 if test -d "$rxvt_cv_path_lastlog"; then 11611 if test -d "$path_lastlog"; then
11394 11612
11395cat >>confdefs.h <<\_ACEOF 11613cat >>confdefs.h <<\_ACEOF
11396#define LASTLOG_IS_DIR 1 11614#define LASTLOG_IS_DIR 1
11397_ACEOF 11615_ACEOF
11398 11616
11399 fi 11617 fi
11400fi 11618fi
11401 11619
11402echo "$as_me:$LINENO: checking where lastlogx is located" >&5 11620echo "$as_me:$LINENO: checking where lastlogx is located" >&5
11403echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6 11621echo $ECHO_N "checking where lastlogx is located... $ECHO_C" >&6
11404if test "${rxvt_cv_path_lastlogx+set}" = set; then 11622if test "${path_lastlogx+set}" = set; then
11405 echo $ECHO_N "(cached) $ECHO_C" >&6 11623 echo $ECHO_N "(cached) $ECHO_C" >&6
11406else 11624else
11407 if test "$cross_compiling" = yes; then 11625 if test "$cross_compiling" = yes; then
11408 { echo "$as_me:$LINENO: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&5 11626 { echo "$as_me:$LINENO: WARNING: Define LASTLOGX_FILE in config.h manually" >&5
11409echo "$as_me: WARNING: Define RXVT_LASTLOGX_FILE in config.h manually" >&2;} 11627echo "$as_me: WARNING: Define LASTLOGX_FILE in config.h manually" >&2;}
11410else 11628else
11411 cat >conftest.$ac_ext <<_ACEOF 11629 cat >conftest.$ac_ext <<_ACEOF
11412/* confdefs.h. */ 11630/* confdefs.h. */
11413_ACEOF 11631_ACEOF
11414cat confdefs.h >>conftest.$ac_ext 11632cat confdefs.h >>conftest.$ac_ext
11450 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 11668 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11451 (eval $ac_try) 2>&5 11669 (eval $ac_try) 2>&5
11452 ac_status=$? 11670 ac_status=$?
11453 echo "$as_me:$LINENO: \$? = $ac_status" >&5 11671 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11454 (exit $ac_status); }; }; then 11672 (exit $ac_status); }; }; then
11455 rxvt_cv_path_lastlogx=`cat conftestval` 11673 path_lastlogx=`cat conftestval`
11456else 11674else
11457 echo "$as_me: program exited with status $ac_status" >&5 11675 echo "$as_me: program exited with status $ac_status" >&5
11458echo "$as_me: failed program was:" >&5 11676echo "$as_me: failed program was:" >&5
11459sed 's/^/| /' conftest.$ac_ext >&5 11677sed 's/^/| /' conftest.$ac_ext >&5
11460 11678
11461( exit $ac_status ) 11679( exit $ac_status )
11462rxvt_cv_path_lastlogx= 11680path_lastlogx=
11463fi 11681fi
11464rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 11682rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
11465fi 11683fi
11466fi 11684fi
11467echo "$as_me:$LINENO: result: $rxvt_cv_path_lastlogx" >&5 11685echo "$as_me:$LINENO: result: $path_lastlogx" >&5
11468echo "${ECHO_T}$rxvt_cv_path_lastlogx" >&6 11686echo "${ECHO_T}$path_lastlogx" >&6
11469if test x$rxvt_cv_path_lastlogx != x; then 11687if test x$path_lastlogx != x; then
11470 11688
11471cat >>confdefs.h <<_ACEOF 11689cat >>confdefs.h <<_ACEOF
11472#define RXVT_LASTLOGX_FILE "$rxvt_cv_path_lastlogx" 11690#define LASTLOGX_FILE "$path_lastlogx"
11473_ACEOF 11691_ACEOF
11474 11692
11475fi 11693fi
11694
11476 11695
11477 11696
11478echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5 11697echo "$as_me:$LINENO: checking where ttys/ttytab is located" >&5
11479echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6 11698echo $ECHO_N "checking where ttys/ttytab is located... $ECHO_C" >&6
11480if test "${rxvt_cv_path_ttytab+set}" = set; then 11699if test "${rxvt_cv_path_ttytab+set}" = set; then
11747#define HAVE_NL_LANGINFO 1 11966#define HAVE_NL_LANGINFO 1
11748_ACEOF 11967_ACEOF
11749 11968
11750fi 11969fi
11751 11970
11971
11752echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5 11972echo "$as_me:$LINENO: checking for unix-compliant filehandle passing ability" >&5
11753echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6 11973echo $ECHO_N "checking for unix-compliant filehandle passing ability... $ECHO_C" >&6
11754if test "${rxvt_can_pass_fds+set}" = set; then 11974if test "${can_pass_fds+set}" = set; then
11755 echo $ECHO_N "(cached) $ECHO_C" >&6 11975 echo $ECHO_N "(cached) $ECHO_C" >&6
11756else 11976else
11757 cat >conftest.$ac_ext <<_ACEOF 11977 cat >conftest.$ac_ext <<_ACEOF
11758/* confdefs.h. */ 11978/* confdefs.h. */
11759_ACEOF 11979_ACEOF
11760cat confdefs.h >>conftest.$ac_ext 11980cat confdefs.h >>conftest.$ac_ext
11761cat >>conftest.$ac_ext <<_ACEOF 11981cat >>conftest.$ac_ext <<_ACEOF
11762/* end confdefs.h. */ 11982/* end confdefs.h. */
11763 11983
11984#include <cstddef> // broken bsds (is that redundant) need this
11764#include <sys/types.h> 11985#include <sys/types.h>
11765#include <sys/socket.h> 11986#include <sys/socket.h>
11987#include <sys/uio.h>
11766 11988
11767int 11989int
11768main () 11990main ()
11769{ 11991{
11770 11992
11815 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12037 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11816 (eval $ac_try) 2>&5 12038 (eval $ac_try) 2>&5
11817 ac_status=$? 12039 ac_status=$?
11818 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12040 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11819 (exit $ac_status); }; }; then 12041 (exit $ac_status); }; }; then
11820 rxvt_can_pass_fds=yes 12042 can_pass_fds=yes
11821else 12043else
11822 echo "$as_me: failed program was:" >&5 12044 echo "$as_me: failed program was:" >&5
11823sed 's/^/| /' conftest.$ac_ext >&5 12045sed 's/^/| /' conftest.$ac_ext >&5
11824 12046
11825rxvt_can_pass_fds=no 12047can_pass_fds=no
11826fi 12048fi
11827rm -f conftest.err conftest.$ac_objext \ 12049rm -f conftest.err conftest.$ac_objext \
11828 conftest$ac_exeext conftest.$ac_ext 12050 conftest$ac_exeext conftest.$ac_ext
11829fi 12051fi
11830echo "$as_me:$LINENO: result: $rxvt_can_pass_fds" >&5 12052echo "$as_me:$LINENO: result: $can_pass_fds" >&5
11831echo "${ECHO_T}$rxvt_can_pass_fds" >&6 12053echo "${ECHO_T}$can_pass_fds" >&6
11832if test x$rxvt_can_pass_fds = xyes; then 12054if test x$can_pass_fds = xyes; then
11833 12055
11834cat >>confdefs.h <<\_ACEOF 12056cat >>confdefs.h <<\_ACEOF
11835#define HAVE_UNIX_FDPASS 1 12057#define HAVE_UNIX_FDPASS 1
11836_ACEOF 12058_ACEOF
11837 12059
11838else 12060else
11839 { { echo "$as_me:$LINENO: error: urxvt requires unix-compliant filehandle passing ability" >&5 12061 { { echo "$as_me:$LINENO: error: libptytty requires unix-compliant filehandle passing ability" >&5
11840echo "$as_me: error: urxvt requires unix-compliant filehandle passing ability" >&2;} 12062echo "$as_me: error: libptytty requires unix-compliant filehandle passing ability" >&2;}
11841 { (exit 1); exit 1; }; } 12063 { (exit 1); exit 1; }; }
11842fi 12064fi
12065
11843 12066
11844echo "$as_me:$LINENO: checking for broken XIM callback" >&5 12067echo "$as_me:$LINENO: checking for broken XIM callback" >&5
11845echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6 12068echo $ECHO_N "checking for broken XIM callback... $ECHO_C" >&6
11846if test "${rxvt_broken_ximcb+set}" = set; then 12069if test "${rxvt_broken_ximcb+set}" = set; then
11847 echo $ECHO_N "(cached) $ECHO_C" >&6 12070 echo $ECHO_N "(cached) $ECHO_C" >&6
11897#define XIMCB_PROTO_BROKEN 1 12120#define XIMCB_PROTO_BROKEN 1
11898_ACEOF 12121_ACEOF
11899 12122
11900fi 12123fi
11901 12124
11902if test x$ac_cv_func_getpt = xno -a x$ac_cv_func_posix_openpt = xno; then 12125
12126
12127
12128
12129
12130
12131for ac_header in \
12132 pty.h \
12133 util.h \
12134 libutil.h \
12135 sys/ioctl.h \
12136 sys/stropts.h \
12137
12138do
12139as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
12140if eval "test \"\${$as_ac_Header+set}\" = set"; then
11903 echo "$as_me:$LINENO: checking for openpty" >&5 12141 echo "$as_me:$LINENO: checking for $ac_header" >&5
11904echo $ECHO_N "checking for openpty... $ECHO_C" >&6 12142echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
11905if test "${ac_cv_func_openpty+set}" = set; then 12143if eval "test \"\${$as_ac_Header+set}\" = set"; then
11906 echo $ECHO_N "(cached) $ECHO_C" >&6 12144 echo $ECHO_N "(cached) $ECHO_C" >&6
12145fi
12146echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
12147echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
11907else 12148else
12149 # Is the header compilable?
12150echo "$as_me:$LINENO: checking $ac_header usability" >&5
12151echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
11908 cat >conftest.$ac_ext <<_ACEOF 12152cat >conftest.$ac_ext <<_ACEOF
11909/* confdefs.h. */ 12153/* confdefs.h. */
11910_ACEOF 12154_ACEOF
11911cat confdefs.h >>conftest.$ac_ext 12155cat confdefs.h >>conftest.$ac_ext
11912cat >>conftest.$ac_ext <<_ACEOF 12156cat >>conftest.$ac_ext <<_ACEOF
11913/* end confdefs.h. */ 12157/* end confdefs.h. */
12158$ac_includes_default
12159#include <$ac_header>
12160_ACEOF
12161rm -f conftest.$ac_objext
12162if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
12163 (eval $ac_compile) 2>conftest.er1
12164 ac_status=$?
12165 grep -v '^ *+' conftest.er1 >conftest.err
12166 rm -f conftest.er1
12167 cat conftest.err >&5
12168 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12169 (exit $ac_status); } &&
12170 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12171 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12172 (eval $ac_try) 2>&5
12173 ac_status=$?
12174 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12175 (exit $ac_status); }; } &&
12176 { ac_try='test -s conftest.$ac_objext'
12177 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12178 (eval $ac_try) 2>&5
12179 ac_status=$?
12180 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12181 (exit $ac_status); }; }; then
12182 ac_header_compiler=yes
12183else
12184 echo "$as_me: failed program was:" >&5
12185sed 's/^/| /' conftest.$ac_ext >&5
12186
12187ac_header_compiler=no
12188fi
12189rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
12190echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
12191echo "${ECHO_T}$ac_header_compiler" >&6
12192
12193# Is the header present?
12194echo "$as_me:$LINENO: checking $ac_header presence" >&5
12195echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
12196cat >conftest.$ac_ext <<_ACEOF
12197/* confdefs.h. */
12198_ACEOF
12199cat confdefs.h >>conftest.$ac_ext
12200cat >>conftest.$ac_ext <<_ACEOF
12201/* end confdefs.h. */
12202#include <$ac_header>
12203_ACEOF
12204if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
12205 (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
12206 ac_status=$?
12207 grep -v '^ *+' conftest.er1 >conftest.err
12208 rm -f conftest.er1
12209 cat conftest.err >&5
12210 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12211 (exit $ac_status); } >/dev/null; then
12212 if test -s conftest.err; then
12213 ac_cpp_err=$ac_cxx_preproc_warn_flag
12214 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
12215 else
12216 ac_cpp_err=
12217 fi
12218else
12219 ac_cpp_err=yes
12220fi
12221if test -z "$ac_cpp_err"; then
12222 ac_header_preproc=yes
12223else
12224 echo "$as_me: failed program was:" >&5
12225sed 's/^/| /' conftest.$ac_ext >&5
12226
12227 ac_header_preproc=no
12228fi
12229rm -f conftest.err conftest.$ac_ext
12230echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
12231echo "${ECHO_T}$ac_header_preproc" >&6
12232
12233# So? What about this header?
12234case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
12235 yes:no: )
12236 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
12237echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
12238 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
12239echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
12240 ac_header_preproc=yes
12241 ;;
12242 no:yes:* )
12243 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
12244echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
12245 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
12246echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
12247 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
12248echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
12249 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
12250echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
12251 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
12252echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
12253 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
12254echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
12255 (
12256 cat <<\_ASBOX
12257## ------------------------------------------ ##
12258## Report this to the AC_PACKAGE_NAME lists. ##
12259## ------------------------------------------ ##
12260_ASBOX
12261 ) |
12262 sed "s/^/$as_me: WARNING: /" >&2
12263 ;;
12264esac
12265echo "$as_me:$LINENO: checking for $ac_header" >&5
12266echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
12267if eval "test \"\${$as_ac_Header+set}\" = set"; then
12268 echo $ECHO_N "(cached) $ECHO_C" >&6
12269else
12270 eval "$as_ac_Header=\$ac_header_preproc"
12271fi
12272echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
12273echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
12274
12275fi
12276if test `eval echo '${'$as_ac_Header'}'` = yes; then
12277 cat >>confdefs.h <<_ACEOF
12278#define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
12279_ACEOF
12280
12281fi
12282
12283done
12284
12285
12286
12287
12288
12289
12290
12291for ac_func in \
12292 revoke \
12293 _getpty \
12294 getpt \
12295 posix_openpt \
12296 isastream \
12297
12298do
12299as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
12300echo "$as_me:$LINENO: checking for $ac_func" >&5
12301echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
12302if eval "test \"\${$as_ac_var+set}\" = set"; then
12303 echo $ECHO_N "(cached) $ECHO_C" >&6
12304else
12305 cat >conftest.$ac_ext <<_ACEOF
12306/* confdefs.h. */
12307_ACEOF
12308cat confdefs.h >>conftest.$ac_ext
12309cat >>conftest.$ac_ext <<_ACEOF
12310/* end confdefs.h. */
11914/* Define openpty to an innocuous variant, in case <limits.h> declares openpty. 12311/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
11915 For example, HP-UX 11i <limits.h> declares gettimeofday. */ 12312 For example, HP-UX 11i <limits.h> declares gettimeofday. */
11916#define openpty innocuous_openpty 12313#define $ac_func innocuous_$ac_func
11917 12314
11918/* System header to define __stub macros and hopefully few prototypes, 12315/* System header to define __stub macros and hopefully few prototypes,
11919 which can conflict with char openpty (); below. 12316 which can conflict with char $ac_func (); below.
11920 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since 12317 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
11921 <limits.h> exists even on freestanding compilers. */ 12318 <limits.h> exists even on freestanding compilers. */
11922 12319
11923#ifdef __STDC__ 12320#ifdef __STDC__
11924# include <limits.h> 12321# include <limits.h>
11925#else 12322#else
11926# include <assert.h> 12323# include <assert.h>
11927#endif 12324#endif
11928 12325
11929#undef openpty 12326#undef $ac_func
11930 12327
11931/* Override any gcc2 internal prototype to avoid an error. */ 12328/* Override any gcc2 internal prototype to avoid an error. */
11932#ifdef __cplusplus 12329#ifdef __cplusplus
11933extern "C" 12330extern "C"
11934{ 12331{
11935#endif 12332#endif
11936/* We use char because int might match the return type of a gcc2 12333/* We use char because int might match the return type of a gcc2
11937 builtin and then its argument prototype would still apply. */ 12334 builtin and then its argument prototype would still apply. */
11938char openpty (); 12335char $ac_func ();
11939/* The GNU C library defines this for functions which it implements 12336/* The GNU C library defines this for functions which it implements
11940 to always fail with ENOSYS. Some functions are actually named 12337 to always fail with ENOSYS. Some functions are actually named
11941 something starting with __ and the normal name is an alias. */ 12338 something starting with __ and the normal name is an alias. */
11942#if defined (__stub_openpty) || defined (__stub___openpty) 12339#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
11943choke me 12340choke me
11944#else 12341#else
11945char (*f) () = openpty; 12342char (*f) () = $ac_func;
11946#endif 12343#endif
11947#ifdef __cplusplus 12344#ifdef __cplusplus
11948} 12345}
11949#endif 12346#endif
11950 12347
11951int 12348int
11952main () 12349main ()
11953{ 12350{
11954return f != openpty; 12351return f != $ac_func;
11955 ; 12352 ;
11956 return 0; 12353 return 0;
11957} 12354}
11958_ACEOF 12355_ACEOF
11959rm -f conftest.$ac_objext conftest$ac_exeext 12356rm -f conftest.$ac_objext conftest$ac_exeext
11975 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 12372 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
11976 (eval $ac_try) 2>&5 12373 (eval $ac_try) 2>&5
11977 ac_status=$? 12374 ac_status=$?
11978 echo "$as_me:$LINENO: \$? = $ac_status" >&5 12375 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11979 (exit $ac_status); }; }; then 12376 (exit $ac_status); }; }; then
11980 ac_cv_func_openpty=yes 12377 eval "$as_ac_var=yes"
11981else 12378else
11982 echo "$as_me: failed program was:" >&5 12379 echo "$as_me: failed program was:" >&5
11983sed 's/^/| /' conftest.$ac_ext >&5 12380sed 's/^/| /' conftest.$ac_ext >&5
11984 12381
11985ac_cv_func_openpty=no 12382eval "$as_ac_var=no"
11986fi 12383fi
11987rm -f conftest.err conftest.$ac_objext \ 12384rm -f conftest.err conftest.$ac_objext \
11988 conftest$ac_exeext conftest.$ac_ext 12385 conftest$ac_exeext conftest.$ac_ext
11989fi 12386fi
12387echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
12388echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
12389if test `eval echo '${'$as_ac_var'}'` = yes; then
12390 cat >>confdefs.h <<_ACEOF
12391#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
12392_ACEOF
12393
12394fi
12395done
12396
12397
12398have_clone=no
12399
12400echo "$as_me:$LINENO: checking for /dev/ptym/clone" >&5
12401echo $ECHO_N "checking for /dev/ptym/clone... $ECHO_C" >&6
12402if test -e /dev/ptym/clone; then
12403 echo "$as_me:$LINENO: result: yes" >&5
12404echo "${ECHO_T}yes" >&6
12405
12406cat >>confdefs.h <<\_ACEOF
12407#define HAVE_DEV_CLONE 1
12408_ACEOF
12409
12410
12411cat >>confdefs.h <<\_ACEOF
12412#define CLONE_DEVICE "/dev/ptym/clone"
12413_ACEOF
12414
12415 have_clone=yes
12416else
12417 echo "$as_me:$LINENO: result: no" >&5
12418echo "${ECHO_T}no" >&6
12419fi
12420
12421echo "$as_me:$LINENO: checking for /dev/ptc" >&5
12422echo $ECHO_N "checking for /dev/ptc... $ECHO_C" >&6
12423if test -e /dev/ptc; then
12424 echo "$as_me:$LINENO: result: yes" >&5
12425echo "${ECHO_T}yes" >&6
12426
12427cat >>confdefs.h <<\_ACEOF
12428#define HAVE_DEV_PTC 1
12429_ACEOF
12430
12431
12432cat >>confdefs.h <<\_ACEOF
12433#define CLONE_DEVICE "/dev/ptc"
12434_ACEOF
12435
12436 have_clone=yes
12437else
12438 echo "$as_me:$LINENO: result: no" >&5
12439echo "${ECHO_T}no" >&6
12440fi
12441
12442case $host in
12443 *-*-cygwin*)
12444 have_clone=yes
12445
12446cat >>confdefs.h <<\_ACEOF
12447#define CLONE_DEVICE "/dev/ptmx"
12448_ACEOF
12449
12450 ;;
12451 *)
12452 echo "$as_me:$LINENO: checking for /dev/ptmx" >&5
12453echo $ECHO_N "checking for /dev/ptmx... $ECHO_C" >&6
12454 if test -e /dev/ptmx; then
12455 echo "$as_me:$LINENO: result: yes" >&5
12456echo "${ECHO_T}yes" >&6
12457
12458cat >>confdefs.h <<\_ACEOF
12459#define HAVE_DEV_PTMX 1
12460_ACEOF
12461
12462
12463cat >>confdefs.h <<\_ACEOF
12464#define CLONE_DEVICE "/dev/ptmx"
12465_ACEOF
12466
12467 have_clone=yes
12468 else
12469 echo "$as_me:$LINENO: result: no" >&5
12470echo "${ECHO_T}no" >&6
12471 fi
12472 ;;
12473esac
12474
12475if test x$ac_cv_func_getpt = xyes -o x$ac_cv_func_posix_openpt = xyes -o x$have_clone = xyes; then
12476 echo "$as_me:$LINENO: checking for UNIX98 ptys" >&5
12477echo $ECHO_N "checking for UNIX98 ptys... $ECHO_C" >&6
12478 cat >conftest.$ac_ext <<_ACEOF
12479/* confdefs.h. */
12480_ACEOF
12481cat confdefs.h >>conftest.$ac_ext
12482cat >>conftest.$ac_ext <<_ACEOF
12483/* end confdefs.h. */
12484#include <stdlib.h>
12485int
12486main ()
12487{
12488grantpt(0);unlockpt(0);ptsname(0);
12489 ;
12490 return 0;
12491}
12492_ACEOF
12493rm -f conftest.$ac_objext conftest$ac_exeext
12494if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12495 (eval $ac_link) 2>conftest.er1
12496 ac_status=$?
12497 grep -v '^ *+' conftest.er1 >conftest.err
12498 rm -f conftest.er1
12499 cat conftest.err >&5
12500 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12501 (exit $ac_status); } &&
12502 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12503 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12504 (eval $ac_try) 2>&5
12505 ac_status=$?
12506 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12507 (exit $ac_status); }; } &&
12508 { ac_try='test -s conftest$ac_exeext'
12509 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12510 (eval $ac_try) 2>&5
12511 ac_status=$?
12512 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12513 (exit $ac_status); }; }; then
12514 unix98_pty=yes
12515
12516cat >>confdefs.h <<\_ACEOF
12517#define UNIX98_PTY 1
12518_ACEOF
12519
12520 echo "$as_me:$LINENO: result: yes" >&5
12521echo "${ECHO_T}yes" >&6
12522else
12523 echo "$as_me: failed program was:" >&5
12524sed 's/^/| /' conftest.$ac_ext >&5
12525
11990echo "$as_me:$LINENO: result: $ac_cv_func_openpty" >&5 12526echo "$as_me:$LINENO: result: no" >&5
11991echo "${ECHO_T}$ac_cv_func_openpty" >&6 12527echo "${ECHO_T}no" >&6
11992if test $ac_cv_func_openpty = yes; then 12528fi
11993 : 12529rm -f conftest.err conftest.$ac_objext \
12530 conftest$ac_exeext conftest.$ac_ext
12531fi
12532
12533if test -z "$unix98_pty"; then
12534
12535for ac_func in openpty
12536do
12537as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
12538echo "$as_me:$LINENO: checking for $ac_func" >&5
12539echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
12540if eval "test \"\${$as_ac_var+set}\" = set"; then
12541 echo $ECHO_N "(cached) $ECHO_C" >&6
12542else
12543 cat >conftest.$ac_ext <<_ACEOF
12544/* confdefs.h. */
12545_ACEOF
12546cat confdefs.h >>conftest.$ac_ext
12547cat >>conftest.$ac_ext <<_ACEOF
12548/* end confdefs.h. */
12549/* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
12550 For example, HP-UX 11i <limits.h> declares gettimeofday. */
12551#define $ac_func innocuous_$ac_func
12552
12553/* System header to define __stub macros and hopefully few prototypes,
12554 which can conflict with char $ac_func (); below.
12555 Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
12556 <limits.h> exists even on freestanding compilers. */
12557
12558#ifdef __STDC__
12559# include <limits.h>
12560#else
12561# include <assert.h>
12562#endif
12563
12564#undef $ac_func
12565
12566/* Override any gcc2 internal prototype to avoid an error. */
12567#ifdef __cplusplus
12568extern "C"
12569{
12570#endif
12571/* We use char because int might match the return type of a gcc2
12572 builtin and then its argument prototype would still apply. */
12573char $ac_func ();
12574/* The GNU C library defines this for functions which it implements
12575 to always fail with ENOSYS. Some functions are actually named
12576 something starting with __ and the normal name is an alias. */
12577#if defined (__stub_$ac_func) || defined (__stub___$ac_func)
12578choke me
12579#else
12580char (*f) () = $ac_func;
12581#endif
12582#ifdef __cplusplus
12583}
12584#endif
12585
12586int
12587main ()
12588{
12589return f != $ac_func;
12590 ;
12591 return 0;
12592}
12593_ACEOF
12594rm -f conftest.$ac_objext conftest$ac_exeext
12595if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12596 (eval $ac_link) 2>conftest.er1
12597 ac_status=$?
12598 grep -v '^ *+' conftest.er1 >conftest.err
12599 rm -f conftest.er1
12600 cat conftest.err >&5
12601 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12602 (exit $ac_status); } &&
12603 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
12604 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12605 (eval $ac_try) 2>&5
12606 ac_status=$?
12607 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12608 (exit $ac_status); }; } &&
12609 { ac_try='test -s conftest$ac_exeext'
12610 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12611 (eval $ac_try) 2>&5
12612 ac_status=$?
12613 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12614 (exit $ac_status); }; }; then
12615 eval "$as_ac_var=yes"
12616else
12617 echo "$as_me: failed program was:" >&5
12618sed 's/^/| /' conftest.$ac_ext >&5
12619
12620eval "$as_ac_var=no"
12621fi
12622rm -f conftest.err conftest.$ac_objext \
12623 conftest$ac_exeext conftest.$ac_ext
12624fi
12625echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
12626echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
12627if test `eval echo '${'$as_ac_var'}'` = yes; then
12628 cat >>confdefs.h <<_ACEOF
12629#define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
12630_ACEOF
12631
11994else 12632else
11995 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5 12633 echo "$as_me:$LINENO: checking for openpty in -lutil" >&5
11996echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6 12634echo $ECHO_N "checking for openpty in -lutil... $ECHO_C" >&6
11997if test "${ac_cv_lib_util_openpty+set}" = set; then 12635if test "${ac_cv_lib_util_openpty+set}" = set; then
11998 echo $ECHO_N "(cached) $ECHO_C" >&6 12636 echo $ECHO_N "(cached) $ECHO_C" >&6
12054LIBS=$ac_check_lib_save_LIBS 12692LIBS=$ac_check_lib_save_LIBS
12055fi 12693fi
12056echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5 12694echo "$as_me:$LINENO: result: $ac_cv_lib_util_openpty" >&5
12057echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6 12695echo "${ECHO_T}$ac_cv_lib_util_openpty" >&6
12058if test $ac_cv_lib_util_openpty = yes; then 12696if test $ac_cv_lib_util_openpty = yes; then
12697 cat >>confdefs.h <<\_ACEOF
12698#define HAVE_OPENPTY 1
12699_ACEOF
12059 LIBS="$LIBS -lutil" 12700 LIBS="$LIBS -lutil"
12060fi 12701fi
12061 12702
12062fi 12703fi
12704done
12063 12705
12064fi 12706fi
12065 12707
12708
12709
12066echo "$as_me:$LINENO: checking for pty/tty type" >&5 12710echo "$as_me:$LINENO: checking for tty group" >&5
12067echo $ECHO_N "checking for pty/tty type... $ECHO_C" >&6 12711echo $ECHO_N "checking for tty group... $ECHO_C" >&6
12068if test "${rxvt_cv_ptys+set}" = set; then 12712if test "${tty_group+set}" = set; then
12069 echo $ECHO_N "(cached) $ECHO_C" >&6 12713 echo $ECHO_N "(cached) $ECHO_C" >&6
12070else 12714else
12071 if test x$ac_cv_func_openpty = xyes -o x$ac_cv_lib_util_openpty = xyes; then 12715 if test "$cross_compiling" = yes; then
12072 rxvt_cv_ptys=OPENPTY 12716 tty_group=no
12073 else if test x$ac_cv_func_getpt = xyes; then 12717else
12074 rxvt_cv_ptys=GLIBC 12718 cat >conftest.$ac_ext <<_ACEOF
12075 else if test x$ac_cv_func_posix_openpt = xyes; then 12719/* confdefs.h. */
12076 rxvt_cv_ptys=POSIX 12720_ACEOF
12077 else if test x$ac_cv_func__getpty = xyes; then 12721cat confdefs.h >>conftest.$ac_ext
12078 rxvt_cv_ptys=SGI4 12722cat >>conftest.$ac_ext <<_ACEOF
12079 else if test -c /dev/ttyp20; then 12723/* end confdefs.h. */
12080 rxvt_cv_ptys=SCO 12724
12081 else if test -c /dev/ptym/clone; then 12725#include <sys/types.h>
12082 rxvt_cv_ptys=HPUX 12726#include <sys/stat.h>
12083 else if test -c /dev/ptc -a -c /dev/pts; then 12727#include <unistd.h>
12084 rxvt_cv_ptys=PTC 12728#include <grp.h>
12085 else if test -c /dev/ptc -a -d /dev/pts; then 12729
12086 rxvt_cv_ptys=PTC 12730main()
12087 else if test -c /dev/ptmx -a -c /dev/pts/0; then 12731{
12088 rxvt_cv_ptys=STREAMS 12732 struct stat st;
12089 else if test x$ac_cv_func_grantpt = xyes && test x$ac_cv_func_unlockpt = xyes; then 12733 struct group *gr;
12090 rxvt_cv_ptys=STREAMS 12734 char *tty;
12735 gr = getgrnam("tty");
12736 tty = ttyname(0);
12737 if (gr != 0
12738 && tty != 0
12739 && (stat(tty, &st)) == 0
12740 && st.st_gid == gr->gr_gid)
12741 return 0;
12091 else 12742 else
12092 rxvt_cv_ptys=BSD 12743 return 1;
12093fi 12744}
12094fi 12745_ACEOF
12095fi 12746rm -f conftest$ac_exeext
12096fi 12747if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
12097fi 12748 (eval $ac_link) 2>&5
12098fi 12749 ac_status=$?
12099fi 12750 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12100fi 12751 (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
12101fi 12752 { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
12102fi 12753 (eval $ac_try) 2>&5
12754 ac_status=$?
12755 echo "$as_me:$LINENO: \$? = $ac_status" >&5
12756 (exit $ac_status); }; }; then
12757 tty_group=yes
12758else
12759 echo "$as_me: program exited with status $ac_status" >&5
12760echo "$as_me: failed program was:" >&5
12761sed 's/^/| /' conftest.$ac_ext >&5
12103 12762
12763( exit $ac_status )
12764tty_group=no
12104fi 12765fi
12766rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
12767fi
12768fi
12105echo "$as_me:$LINENO: result: $rxvt_cv_ptys" >&5 12769echo "$as_me:$LINENO: result: $tty_group" >&5
12106echo "${ECHO_T}$rxvt_cv_ptys" >&6 12770echo "${ECHO_T}$tty_group" >&6
12107 12771if test x$tty_group = xyes; then
12108if test x$rxvt_cv_ptys = xGLIBC; then
12109 12772
12110cat >>confdefs.h <<\_ACEOF 12773cat >>confdefs.h <<\_ACEOF
12111#define PTYS_ARE_GETPT 1 12774#define TTY_GID_SUPPORT 1
12112_ACEOF
12113
12114fi
12115if test x$rxvt_cv_ptys = xPOSIX; then
12116
12117cat >>confdefs.h <<\_ACEOF
12118#define PTYS_ARE_POSIX 1
12119_ACEOF
12120
12121fi
12122if test x$rxvt_cv_ptys = xOPENPTY; then
12123
12124cat >>confdefs.h <<\_ACEOF
12125#define PTYS_ARE_OPENPTY 1
12126_ACEOF
12127
12128fi
12129if test x$rxvt_cv_ptys = xSCO; then
12130
12131cat >>confdefs.h <<\_ACEOF
12132#define PTYS_ARE_NUMERIC 1
12133_ACEOF
12134
12135fi
12136if test x$rxvt_cv_ptys = xSTREAMS; then
12137
12138cat >>confdefs.h <<\_ACEOF
12139#define PTYS_ARE_PTMX 1
12140_ACEOF
12141
12142fi
12143if test x$rxvt_cv_ptys = xPTC; then
12144
12145cat >>confdefs.h <<\_ACEOF
12146#define PTYS_ARE_PTC 1
12147_ACEOF
12148
12149fi
12150if test x$rxvt_cv_ptys = xSGI4; then
12151
12152cat >>confdefs.h <<\_ACEOF
12153#define PTYS_ARE__GETPTY 1
12154_ACEOF
12155
12156fi
12157if test x$rxvt_cv_ptys = xHPUX; then
12158
12159cat >>confdefs.h <<\_ACEOF
12160#define PTYS_ARE_CLONE 1
12161_ACEOF
12162
12163fi
12164if test x$rxvt_cv_ptys = xBSD -o x$rxvt_cv_ptys = xHPUX -o x$rxvt_cv_ptys = xPOSIX; then
12165
12166cat >>confdefs.h <<\_ACEOF
12167#define PTYS_ARE_SEARCHED 1
12168_ACEOF
12169
12170fi
12171
12172
12173{ echo "$as_me:$LINENO: checking for pty ranges..." >&5
12174echo "$as_me: checking for pty ranges..." >&6;}
12175ptys=`echo /dev/pty??`
12176pch1=`echo $ptys | tr ' ' '\012' | sed -e 's/^.*\(.\).$/\1/g' | sort -u | tr -d '\012'`
12177pch2=`echo $ptys | tr ' ' '\012' | sed -e 's/^.*\(.\)$/\1/g' | sort -u | tr -d '\012'`
12178if test x$pch1 != x; then
12179
12180cat >>confdefs.h <<_ACEOF
12181#define PTYCHAR1 "$pch1"
12182_ACEOF
12183
12184fi
12185if test x$pch2 != x; then
12186
12187cat >>confdefs.h <<_ACEOF
12188#define PTYCHAR2 "$pch2"
12189_ACEOF 12775_ACEOF
12190 12776
12191fi 12777fi
12192 12778
12193if test x$support_xft = xyes; then 12779if test x$support_xft = xyes; then
12194 LIBS="$LIBS `pkg-config xft --libs`" 12780 # Extract the first word of "pkg-config", so it can be a program name with args.
12781set dummy pkg-config; ac_word=$2
12782echo "$as_me:$LINENO: checking for $ac_word" >&5
12783echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12784if test "${ac_cv_path_PKG_CONFIG+set}" = set; then
12785 echo $ECHO_N "(cached) $ECHO_C" >&6
12786else
12787 case $PKG_CONFIG in
12788 [\\/]* | ?:[\\/]*)
12789 ac_cv_path_PKG_CONFIG="$PKG_CONFIG" # Let the user override the test with a path.
12790 ;;
12791 *)
12792 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12793for as_dir in $PATH
12794do
12795 IFS=$as_save_IFS
12796 test -z "$as_dir" && as_dir=.
12797 for ac_exec_ext in '' $ac_executable_extensions; do
12798 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12799 ac_cv_path_PKG_CONFIG="$as_dir/$ac_word$ac_exec_ext"
12800 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12801 break 2
12802 fi
12803done
12804done
12805
12806 test -z "$ac_cv_path_PKG_CONFIG" && ac_cv_path_PKG_CONFIG="no"
12807 ;;
12808esac
12809fi
12810PKG_CONFIG=$ac_cv_path_PKG_CONFIG
12811
12812if test -n "$PKG_CONFIG"; then
12813 echo "$as_me:$LINENO: result: $PKG_CONFIG" >&5
12814echo "${ECHO_T}$PKG_CONFIG" >&6
12815else
12816 echo "$as_me:$LINENO: result: no" >&5
12817echo "${ECHO_T}no" >&6
12818fi
12819
12820 if test $PKG_CONFIG != no && $PKG_CONFIG --exists xft; then
12821 LIBS="$LIBS `$PKG_CONFIG xft --libs`"
12195 CPPFLAGS="$CPPFLAGS `pkg-config xft --cflags`" 12822 CPPFLAGS="$CPPFLAGS `$PKG_CONFIG xft --cflags`"
12823 else
12824 # Extract the first word of "xft-config", so it can be a program name with args.
12825set dummy xft-config; ac_word=$2
12826echo "$as_me:$LINENO: checking for $ac_word" >&5
12827echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
12828if test "${ac_cv_path_XFT_CONFIG+set}" = set; then
12829 echo $ECHO_N "(cached) $ECHO_C" >&6
12830else
12831 case $XFT_CONFIG in
12832 [\\/]* | ?:[\\/]*)
12833 ac_cv_path_XFT_CONFIG="$XFT_CONFIG" # Let the user override the test with a path.
12834 ;;
12835 *)
12836 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
12837for as_dir in $PATH
12838do
12839 IFS=$as_save_IFS
12840 test -z "$as_dir" && as_dir=.
12841 for ac_exec_ext in '' $ac_executable_extensions; do
12842 if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
12843 ac_cv_path_XFT_CONFIG="$as_dir/$ac_word$ac_exec_ext"
12844 echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
12845 break 2
12846 fi
12847done
12848done
12849
12850 test -z "$ac_cv_path_XFT_CONFIG" && ac_cv_path_XFT_CONFIG="no"
12851 ;;
12852esac
12853fi
12854XFT_CONFIG=$ac_cv_path_XFT_CONFIG
12855
12856if test -n "$XFT_CONFIG"; then
12857 echo "$as_me:$LINENO: result: $XFT_CONFIG" >&5
12858echo "${ECHO_T}$XFT_CONFIG" >&6
12859else
12860 echo "$as_me:$LINENO: result: no" >&5
12861echo "${ECHO_T}no" >&6
12862fi
12863
12864 if test $XFT_CONFIG != no; then
12865 LIBS="$LIBS `$XFT_CONFIG --libs`"
12866 CPPFLAGS="$CPPFLAGS `$XFT_CONFIG --cflags`"
12867 fi
12868 fi
12196 12869
12197 12870
12198for ac_header in X11/Xft/Xft.h 12871for ac_header in X11/Xft/Xft.h
12199do 12872do
12200as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 12873as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
13604s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t 14277s,@rxvt_uint16_typedef@,$rxvt_uint16_typedef,;t t
13605s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t 14278s,@rxvt_int32_typedef@,$rxvt_int32_typedef,;t t
13606s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t 14279s,@rxvt_uint32_typedef@,$rxvt_uint32_typedef,;t t
13607s,@rxvt_intp_define@,$rxvt_intp_define,;t t 14280s,@rxvt_intp_define@,$rxvt_intp_define,;t t
13608s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t 14281s,@rxvt_u_intp_define@,$rxvt_u_intp_define,;t t
14282s,@PKG_CONFIG@,$PKG_CONFIG,;t t
14283s,@XFT_CONFIG@,$XFT_CONFIG,;t t
13609s,@PERL@,$PERL,;t t 14284s,@PERL@,$PERL,;t t
13610s,@PERLLIB@,$PERLLIB,;t t 14285s,@PERLLIB@,$PERLLIB,;t t
13611s,@PERLFLAGS@,$PERLFLAGS,;t t 14286s,@PERLFLAGS@,$PERLFLAGS,;t t
13612s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t 14287s,@PERLPRIVLIBEXP@,$PERLPRIVLIBEXP,;t t
13613s,@IF_PERL@,$IF_PERL,;t t 14288s,@IF_PERL@,$IF_PERL,;t t
14144 14819
14145if test x$support_xpm = xyes; then 14820if test x$support_xpm = xyes; then
14146 echo " Xpm library: $XPM_LIBS" 14821 echo " Xpm library: $XPM_LIBS"
14147fi 14822fi
14148 14823
14149echo "
14150The following are set in config.h
14151"
14152echo " pty/tty type: "$rxvt_cv_ptys
14153if test x$support_utmp != xyes; then 14824if test x$support_utmp != xyes; then
14154 echo " utmp support: disabled" 14825 echo " utmp support: disabled"
14155 echo 14826 echo
14156else 14827else
14157 echo " utmp support: enabled 14828 echo " utmp support: enabled
14158 utmp file: $rxvt_cv_path_utmp 14829 utmp file: $path_utmp
14159 utmpx file: $rxvt_cv_path_utmpx 14830 utmpx file: $path_utmpx
14160 wtmp file: $rxvt_cv_path_wtmp 14831 wtmp file: $path_wtmp
14161 wtmpx file: $rxvt_cv_path_wtmpx 14832 wtmpx file: $path_wtmpx
14162 lastlog file: $rxvt_cv_path_lastlog 14833 lastlog file: $path_lastlog
14163 ttys/ttytab file: $rxvt_cv_path_ttytab 14834 lastlogx file: $path_lastlogx"
14164 embedded perl: $support_perl"
14165 echo
14166fi 14835fi
14167if test x$term != x; then 14836if test x$term != x; then
14168 echo " set TERM to: $term" 14837 echo " set TERM to: $term"
14169fi 14838fi
14170if test x$terminfo != x; then 14839if test x$terminfo != x; then
14174echo " resource class: $RESCLASS" 14843echo " resource class: $RESCLASS"
14175if test x$RESFALLBACK != x; then 14844if test x$RESFALLBACK != x; then
14176 echo " resource class fallback: $RESFALLBACK" 14845 echo " resource class fallback: $RESFALLBACK"
14177fi 14846fi
14178echo 14847echo
14179if test x$rxvt_cv_ptys = xUNKNOWN; then 14848echo " embedded perl: $support_perl"
14180 echo ".----------------------------------------------------------------." 14849echo
14181 echo ". WARNING: could not determine pty/tty type. Do not build until ."
14182 echo ". the appropriate PTYS_ARE_* is defined in config.h ."
14183 echo ".----------------------------------------------------------------."
14184fi
14185if test x$support_xpm = xneedsmanualspecification; then 14850if test x$support_xpm = xneedsmanualspecification; then
14186 echo ".----------------------------------------------------------------." 14851 echo ".----------------------------------------------------------------."
14187 echo ". WARNING: --enable-xpm-background was specified however the ." 14852 echo ". WARNING: --enable-xpm-background was specified however the ."
14188 echo ". XPM includes files and libraries could not be found. ." 14853 echo ". XPM includes files and libraries could not be found. ."
14189 echo ". XPM backgrounds are now being DISABLED! If you want ." 14854 echo ". XPM backgrounds are now being DISABLED! If you want ."

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines